Subject: Re: OpenSSH server installation error on Windows Vista Business/Ultimate
From: Paul August <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 28 May 2009 17:14:53 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

David,

thanks for the suggestion. I will be eager to try that after I come back later next week.
I will update you on what I get.

Paul.

> OpenSSH server installation error on Windows Vista Business/Ultimate

>     150955 by: Paul August 
>     150964 by: "David Christensen" 
> 
> -----Inline Message Follows-----
> 
> Paul August wrote:
> 
> > Thank you David for your response. 
> 
> You're welcome.  :-)
> 
> 
> > I followed your steps to enable the administrator account via MMC
> > console window, Then I start cygwin bash shell either as an
> > administrator or after I logon the administrator account. When I run
> > ssh-host-config -y again, I got the same error message. It seems
> > that enabling real administrator account does not help with this
> > problem. Any more clues?
> 
> I infer from your post that you installed Cygwin using an account other
> than Administrator.  I wouldn't trust it.
> 
> 
> I suggest:
> 
> 1.  Log on as Administrator.
> 
> 2.  Move your existing Cygwin directory aside.
> 
> 3.  Create the directories C:\cygwin and C:\cygwin\setup.
> 
> 4.  Download Cygwin Setup to C:\cygwin\setup\setup.exe.
> 
> 5.  Create a shortcut to Cygwin Setup on the Desktop.
> 
> 6.  Run Cygwin Setup via the shortcut.  Choose Unix line endings.
> Accept the default package selections (e.g. base) and also get the
> source for each.   (There may be a few packages where source is not
> available/ applicable?)  (Having the source code provides you with all
> the rights and responsibilities of the GPL.)  Download and install.
> Have Cygwin Setup create Start menu and Desktop icons.
> 
> 7.  Change the properties on the Cygwin Bash Shell Desktop shortcut --
> select Options -> Quick edit (so you can copy to/ paste from the Windows
> clipboard) and set Layout -> Screen buffer size -> Height to 9999.  Move
> the shortcut to a shared location so you can use it from all accounts.
> 
> 8.  Run Cygwin Bash Shell via the shortcut.  Exit.  This step might be
> unnecessary, but it's a habit for me.
> 
> 9.  Run Cygwin Setup again, select OpenSSH (and dependencies and
> sources), and download and install.
> 
> 10. Run Cygwin Bash Shell again and work on OpenSSH.  Copy your console
> session and paste it into a reply to this message if you're still stuck.
> 
> 
> Once you have a set of Cygwin packages you're happy with, make an
> archival copy of your C:\cygwin\setup directory.  This will provide you
> with the ability to install/ reinstall the exact same software on that
> and other machines.
> 
> 
> HTH,
> 
> David

      

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/